<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<!-- CSS only -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
      integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

<!-- JS, Popper.js, and jQuery -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
        integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
        integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
        crossorigin="anonymous"></script>

<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Companies</title>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#">HR-MANAGEMENT</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="companiesDropdown" role="button" data-toggle="dropdown"
                   aria-haspopup="true" aria-expanded="false">
                    Companies
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a
                            th:each="bundle: ${companyWithCount}"
                            class="dropdown-item"
                            th:href="'http://localhost:8080/company/'+${bundle.getKey().id}"
                            th:text="${bundle.getKey().name}"
                    >
                    </a>
                </div>
            </li>

            <div th:utext="${navBar}">
            </div>
        </ul>

</div>
</nav>

<div>
    <table class="table table-bordered">
        <thead>
        <tr>
            <th scope="col">Nr. crt.</th>
            <th scope="col">Company name</th>
            <th scope="col">Number of employees</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="bundle: ${companyWithCount}">
            <th th:text="${bundleStat.index}+1" scope="row"></th>
            <td th:text="${bundle.getKey().name}"></td>
            <td th:text="${bundle.getValue()}"></td>
        </tr>
        </tbody>
    </table>
</div>


</body>
</html>